BillingEntityCreateRequestRequest body for creating a new billing entitynamestringRequiredName of the billing entitydefault_currencystring<Currency>OptionalCurrency code in ISO 4217 format.Match^[A-Z]{3}$Length3 <= length <= 3finalize_zero_amount_invoicebooleanOptionalWhether to finalize invoices with zero amountaddressobject<Address>OptionalAddress of the customer or party.Address properties6 propertiesline1stringOptionalFirst line of the address.Length1 <= length <= 254line2stringOptionalSecond line of the address (optional). This can include apartment, suite, or unit numbers.Length1 <= length <= 512citystringOptionalCity of the customer or party.Length1 <= length <= 512statestringOptionalState or region of the customer or party.Length1 <= length <= 512postal_codestringOptionalPostal or ZIP code of the customer or party. Typically required for countries with a postal code or an equivalent.Length1 <= length <= 512countrystringOptionalCountry of the customer or party. Use ISO 3166-1 alpha-2 country codes.Match^[A-Z]{2}$Length2 <= length <= 2legal_namestring | nullOptionalLegal name of the entitylegal_numberstring | nullOptionalLegal registration numberemailstring | nullOptionalContact email for the entityFormatemailtimezonestring<Timezone>OptionalThe timezone of the billing entitycodestring<BillingEntityCode>RequiredUnique code used to identify the billing entity. Must contain only alphanumeric characters, underscores, and hyphens.Match^[a-zA-Z0-9_-]*$